<script lang="ts">
  import type { TailwindColors } from '$lib/interfaces';

  export { clazz as class };
  export let color: TailwindColors = 'blue';
  let clazz: string | undefined = '';
  let titleWrapper: HTMLElement;
  $: showTitle = titleWrapper && titleWrapper.innerText.trim().length > 0;
</script>

<div role="alert" class={clazz}>
  <div
    class="bg-{color}-500 text-white font-bold rounded-t px-4 py-2 title"
    class:hidden={!showTitle}
    bind:this={titleWrapper}>
    <slot name="title" />
  </div>
  <div class="border border-{color}-400 rounded-b bg-{color}-100 px-4 py-3">
    <slot />
  </div>
</div>
